GWT 2.7.0

## com.google.gwt.user.client
Class IncrementalCommandCanceledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.user.client.IncrementalCommandCanceledException

All Implemented Interfaces:
  java.io.Serializable

    public class IncrementalCommandCanceledException

extends java.lang.RuntimeException

Exception reported to the current `GWT.UncaughtExceptionHandler` when a deferred `IncrementalCommand` is canceled as a result of a slow script warning.

See Also:
  Serialized Form

Constructor Summary
`IncrementalCommandCanceledException(IncrementalCommand command)`

Method Summary
`IncrementalCommand` | `getCommand()` Returns the `IncrementalCommand` which was canceled by the user as a result of a slow script warning.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncrementalCommandCanceledException

    public IncrementalCommandCanceledException(IncrementalCommand command)

Method Detail

### getCommand

    public IncrementalCommand getCommand()

  Returns the `IncrementalCommand` which was canceled by the user as a result of a slow script warning.

  Returns:
    the `IncrementalCommand` which was canceled by the user as a result of a slow script warning

GWT 2.7.0